diff options
Diffstat (limited to 'tests/touch/no-create-missing')
-rwxr-xr-x | tests/touch/no-create-missing | 29 |
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/touch/no-create-missing b/tests/touch/no-create-missing new file mode 100755 index 000000000..c94d8f175 --- /dev/null +++ b/tests/touch/no-create-missing @@ -0,0 +1,29 @@ +#!/bin/sh +# Ensure that touch -c no-such-file no longer fails. + +if test "$VERBOSE" = yes; then + set -x + touch --version +fi + +pwd=`pwd` +tmp=`echo "$0"|sed 's,.*/,,'`.tmp +trap 'status=$?; cd $pwd; rm -rf $tmp && exit $status' 0 +trap '(exit $?); exit' 1 2 13 15 + +framework_failure=0 +mkdir $tmp || framework_failure=1 +cd $tmp || framework_failure=1 + +if test $framework_failure = 1; then + echo '$0: failure in testing framework' 1>&2 + (exit 1); exit +fi + +fail=0 + +touch -c no-file > /dev/null 2>&1 || fail=1 +touch -cm no-file > /dev/null 2>&1 || fail=1 +touch -ca no-file > /dev/null 2>&1 || fail=1 + +(exit $fail); exit |